# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# C:\ci\containers\00001s6iks1\tmp\build\80754af9\combined_recipe, last modified Mon Dec  6 04:11:17 2021
# ------------------------------------------------

package:
  name: astropy
  version: '5.0'
source:
  sha256: 70203e151e13292586a817b4069ce1aad4643567aff38b1d191c173bc54f3927
  url: https://pypi.io/packages/source/a/astropy/astropy-5.0.tar.gz
build:
  detect_binary_files_with_prefix: false
  entry_points:
    - fits2bitmap = astropy.visualization.scripts.fits2bitmap:main
    - fitscheck = astropy.io.fits.scripts.fitscheck:main
    - fitsdiff = astropy.io.fits.scripts.fitsdiff:main
    - fitsheader = astropy.io.fits.scripts.fitsheader:main
    - fitsinfo = astropy.io.fits.scripts.fitsinfo:main
    - samp_hub = astropy.samp.hub_script:hub_script
    - showtable = astropy.table.scripts.showtable:main
    - volint = astropy.io.votable.volint:main
    - wcslint = astropy.wcs.wcslint:main
  number: '0'
  script: C:\\ci\\astropy_1638785655728\\_h_env\\python.exe -m pip install . -vv
  string: py38hc7d831d_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.10.26 haa95532_2
    - certifi 2021.10.8 py38haa95532_0
    - cython 0.29.24 py38h604cdb4_0
    - extension-helpers 0.1 pyhd3eb1b0_0
    - intel-openmp 2021.4.0 haa95532_3556
    - jinja2 2.11.3 pyhd3eb1b0_0
    - markupsafe 2.0.1 py38h2bbff1b_0
    - mkl 2020.2 256
    - mkl-service 2.3.0 py38h196d8e1_0
    - mkl_fft 1.3.0 py38h46781fe_0
    - mkl_random 1.1.1 py38h47e9c7a_0
    - numpy 1.19.2 py38hadc3359_0
    - numpy-base 1.19.2 py38ha3acd2a_0
    - openssl 1.1.1l h2bbff1b_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.2 py38haa95532_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.8.12 h6244533_0
    - setuptools 58.0.4 py38haa95532_0
    - setuptools-scm 6.3.2 pyhd3eb1b0_0
    - setuptools_scm 6.3.2 hd3eb1b0_0
    - six 1.16.0 pyhd3eb1b0_0
    - sqlite 3.36.0 h2bbff1b_0
    - tomli 1.2.2 pyhd3eb1b0_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.0 pyhd3eb1b0_1
    - wincertstore 0.2 py38haa95532_2
  run:
    - importlib-metadata
    - numpy >=1.19.2,<2.0a0
    - packaging >=19.0
    - pyerfa >=2.0
    - python >=3.8,<3.9.0a0
    - pyyaml >=3.13
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - pip check
    - fits2bitmap --help
    - fitscheck --help
    - fitsdiff --help
    - fitsheader --help
    - fitsinfo --help
    - samp_hub --help
    - volint --help
    - wcslint --help
    - showtable --help
  imports:
    - astropy
  requires:
    - pip
    - pytest-astropy >=0.9
    - pytest-xdist
about:
  description: 'The Astropy Project is a community effort to develop a single package
    for

    Astronomy in Python. It contains core functionality and common tools

    needed for performing astronomy and astrophysics research with Python.

    '
  dev_url: https://github.com/astropy/astropy
  doc_url: http://docs.astropy.org/en/stable/
  home: http://www.astropy.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.rst
  summary: Community-developed Python Library for Astronomy
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - astrofrog-conda-forge
    - bsipocz
    - mwcraig
